BatchBuilderImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.batch.internal
Class BatchBuilderImpl

    java.lang.Object
      org.hibernate.engine.jdbc.batch.internal.BatchBuilderImpl

All Implemented Interfaces:
  Serializable, BatchBuilder, Service, Configurable, Manageable

    public class BatchBuilderImpl

extends Object
implements BatchBuilder, Configurable

A builder for `Batch` instances.

See Also:
  Serialized Form

Constructor Summary
`BatchBuilderImpl()`
`BatchBuilderImpl(int size)`

Method Summary
`Batch` | `buildBatch(BatchKey key, JdbcCoordinator jdbcCoordinator)` Build a batch.
`void` | `configure(Map configurationValues)` Configure the service.
`Object` | `getManagementBean()` The the management bean (MBean) for this service.
`String` | `getManagementDomain()` Get the domain name to be used in registering the management bean.
`String` | `getManagementServiceType()` Allows the service to specify a special 'serviceType' portion of the object name.
`void` | `setJdbcBatchSize(int size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchBuilderImpl

    public BatchBuilderImpl()

### BatchBuilderImpl

    public BatchBuilderImpl(int size)

Method Detail

### configure

    public void configure(Map configurationValues)

  Description copied from interface: `Configurable`
  Configure the service.

  Specified by:
    `configure` in interface `Configurable`
  Parameters:
    `configurationValues` - The configuration properties.

### setJdbcBatchSize

    public void setJdbcBatchSize(int size)

### buildBatch

    public Batch buildBatch(BatchKey key,
                            JdbcCoordinator jdbcCoordinator)

  Description copied from interface: `BatchBuilder`
  Build a batch.

  Specified by:
    `buildBatch` in interface `BatchBuilder`
  Parameters:
    `key` - Value to uniquely identify a batch
    `jdbcCoordinator` - The JDBC coordinator with which to coordinate efforts
  Returns:
    The built batch

### getManagementDomain

    public String getManagementDomain()

  Description copied from interface: `Manageable`
  Get the domain name to be used in registering the management bean. May be `null` to indicate Hibernate's default domain (`org.hibernate.core`) should be used.

  Specified by:
    `getManagementDomain` in interface `Manageable`
  Returns:
    The management domain.

### getManagementServiceType

    public String getManagementServiceType()

  Description copied from interface: `Manageable`
  Allows the service to specify a special 'serviceType' portion of the object name. `null` indicates we should use the default scheme, which is to use the name of the service impl class for this purpose.

  Specified by:
    `getManagementServiceType` in interface `Manageable`
  Returns:
    The custom 'serviceType' name.

### getManagementBean

    public Object getManagementBean()

  Description copied from interface: `Manageable`
  The the management bean (MBean) for this service.

  Specified by:
    `getManagementBean` in interface `Manageable`
  Returns:
    The management bean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.